Bug 84116

Summary: db4 need a patch to compile Python bindings
Product: [Retired] Red Hat Raw Hide Reporter: Need Real Name <redhat.angus>
Component: db4Assignee: Jeff Johnson <jbj>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 1.0   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-11-14 04:15:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
db-4014-patch.txt none

Description Need Real Name 2003-02-12 14:19:11 UTC
The db-4014-patch.txt from bsddb3-4.1.3 distribution is needed to compile python
binding correctly (successful python test.py).

Without this patch, some useful software like Straw (the GNOME 2 Desktop news
aggregator http://www.nongnu.org/straw) can't work because of the python binding
requirement.

After a rebuild of db4-4.0.14-20.src.rpm with this patch, I successfully build
bsddb3-4.1.3 and launch the news aggregator.

Please apply this small patch.

TIA

Comment 1 Need Real Name 2003-02-12 14:19:59 UTC
Created attachment 90032 [details]
db-4014-patch.txt

Comment 2 Need Real Name 2003-02-12 14:26:14 UTC
Additionaly to this, but related to Straw itself, I need to rebuild pygtk2 with
./configure --enable-thread to be able to launch Straw.

So my question: is it possible to modify your pygtk2 package to add this
autoconf option?

Comment 3 Jeff Johnson 2004-11-14 04:15:57 UTC
bsddb is now integrated with python, and there have been
several releases of Berkeley DB since 4.0.14, so presumably
the patch (or equivalent) has already been incorprorated.

If that is not the case, please reopen the bug and reassign
to pygtk2 so that I can get confirmation whether a change
to Berkely DB is actually needed.